System Requirements

The following are the minimum requirements for using the Novade application on your device or browser.

App Requirements:

iOS – version 10.3 and higher

Android – version 5.0 and higher

Web Browser Requirements:

Chrome – version 41 and higher

Firefox – version 36 and higher

Safari – version 8.0 and higher

Also supported on Microsoft Edge

*For best results on web, we recommend one of the above browsers mentioned. 

System Requirements

The following are the minimum requirements for using the Novade application on your device or browser.

App Requirements:

iOS – version 10.3 and higher

Android – version 5.0 and higher

Web Browser Requirements:

Chrome – version 41 and higher

Firefox – version 36 and higher

Safari – version 8.0 and higher

Also supported on Microsoft Edge

*For best results on web, we recommend one of the above browsers mentioned.